Subject: bug#77196: tab-line-mode 's close-button show white rectangle when adjusting height via set-face-attribute

From: Siyuan Chen <[email-masked]>
Date: Fri, 28 Mar 2025 10:01:12 +0800

Thanks Cecili.

Eli, could you share some information about the release cycle for Windows
binaries? I've been using the pre-built version from ftp.gnu.org
(2025-02-23) and was wondering when the next Windows release might be
available. Unfortunately I don’t have a Windows build environment setup
locally, so I rely on the official binaries.

Best regards,
Siyuan Chen

On Thu, Mar 27, 2025 at 9:04 PM Eli Zaretskii <[email-masked]> wrote:

> > Date: Thu, 27 Mar 2025 13:35:41 +0100
> > From: Cecilio Pardo <[email-masked]>
> > Cc: [email-masked]
> >
> > > On 23/03/2025 7:41, Eli Zaretskii wrote:
> > >>> Environment
> > >>>
> > >>> Emacs 30.1 on Windows 10.
> > >>
> > >> I confirm the issue in Emacs 30.  But when I try this in Emacs 31,
> > >> Emacs crashes.  The backtrace is below.  Cecilio, could you please
> > >> look at this?
> >
> > I can reproduce the original bug, but not the crash.
>
> Probably because your Emacs is not built with --enable-checking.
>
> > Anyway, it seems to happen because some glyph index is outside of
> > the font range, so this patch should fix the crash.
>
> Thanks, I installed this on the master branch.
>